/* Reset general */
body{
  background-image: url(../imagenes/fondo.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-attachment: fixed;
  color: white;
}
header {
  color: white;
  padding: 40px 20px;
  text-align: center;
  position: relative;
}

header nav {
  margin-top: 15px;
}

header nav a {
  color: white;
  text-decoration: none;
  margin: 0 15px;
  padding: 8px 16px;
  background-color: #1668b9;
  border-radius: 5px;
  transition: background 0.3s;
}

header nav a:hover {
  background-color: #1abc9c;
}

section {
  padding: 30px 20px;
  max-width: 900px;
  margin: auto;
}

h2 {
  color: #cad4df;
  margin-bottom: 20px;
}

/* Barra de habilidades */
.skill {
  margin-bottom: 20px;
}

.skill label {
  display: block;
  font-weight: bold;
  margin-bottom: 5px;
}

.bar {
  background-color: #ddd;
  border-radius: 25px;
  overflow: hidden;
  height: 25px;
}

.bar .fill {
  background-color: #3498db;
  height: 100%;
  text-align: right;
  padding-right: 10px;
  color: white;
  line-height: 25px;
  border-radius: 25px 0 0 25px;
}

/* Tarjetas de servicios */
.servicios {
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
  color: rgb(2, 2, 10);
}

.card {
  flex: 1 1 200px;
  background-color: white;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 2px 6px rgba(223, 215, 215, 0.1);
  text-align: center;
}

/* Formulario de contacto */
form input, form textarea {
  width: 100%;
  padding: 12px;
  margin: 10px 0;
  border-radius: 5px;
  border: 1px solid #ccc;
}

form button {
  background-color: #2c3e50;
  color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
 
form button:hover {
  background-color: #1abc9c;
}

/* Footer */
footer {
  background-color: #2c3e50;
  color: white;
  text-align: center;
  padding: 15px;
  margin-top: 30px;
}

nav a.login-btn {
  background-color: #4CAF50;
  color: white;
  padding: 8px 12px;
  border-radius: 5px;
  text-decoration: none;
}

nav a.login-btn:hover {
  background-color: #45a049;
}